package com.nurulwafa.nufakuproject;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import java.util.List;

public class InformasiSPPAdapter extends RecyclerView.Adapter<InformasiSPPAdapter.InformasiSPPViewHolder> {
    private final List<InformasiSPP> informasiSPPList;

    public InformasiSPPAdapter(List<InformasiSPP> informasiSPPList) {
        this.informasiSPPList = informasiSPPList;
    }

    @NonNull
    @Override
    public InformasiSPPAdapter.InformasiSPPViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        View v = LayoutInflater.from(parent.getContext()).inflate(R.layout.item_informasi_spp, parent, false);
        return new InformasiSPPAdapter.InformasiSPPViewHolder(v);
    }

    @Override
    public void onBindViewHolder(@NonNull InformasiSPPAdapter.InformasiSPPViewHolder holder, int position) {
        InformasiSPP informasiSPP = informasiSPPList.get(position);
        holder.tvNamaSantri.setText(informasiSPP.getNamaSantri());
        holder.tvBulan.setText("Bulan: " + informasiSPP.getBulan());
        holder.tvTahun.setText("Tahun: " + informasiSPP.getTahun());
        holder.tvJumlahPembayaran.setText("Jumlah Pembayaran: " + informasiSPP.getJumlahPembayaran());
        holder.tvJatuhTempo.setText("Jatuh Tempo: " + informasiSPP.getJatuhTempo());
        holder.tvKeterangan.setText("Keterangan: " + informasiSPP.getKeterangan());
    }

    @Override
    public int getItemCount() {
        return informasiSPPList.size();
    }

    static class InformasiSPPViewHolder extends RecyclerView.ViewHolder {
        TextView tvNamaSantri, tvBulan, tvTahun, tvJumlahPembayaran, tvJatuhTempo, tvKeterangan;

        public InformasiSPPViewHolder(@NonNull View itemView) {
            super(itemView);
            tvNamaSantri = itemView.findViewById(R.id.tvNamaSantri);
            tvBulan = itemView.findViewById(R.id.tvBulan);
            tvTahun = itemView.findViewById(R.id.tvTahun);
            tvJumlahPembayaran = itemView.findViewById(R.id.tvJumlahPembayaran);
            tvJatuhTempo = itemView.findViewById(R.id.tvJatuhTempo);
            tvKeterangan = itemView.findViewById(R.id.tvKeterangan);
        }
    }
}
